* CIT_Tunisia_datacleaning.do
* Author: Giorgio_Thiago_Jawhar
* Date: [24_01_24]
* Purpose: Reproduce CIT project outputs.


***********************************************************************
* 	PART 1: 	Prepare dynamic folder paths & globals			  	  *
***********************************************************************

* define graph scheme for visual outputs
*set scheme plotplain
set scheme burd

global root     = "C:/Temp/RR_TUN_2024_201/Reproducibility package/"
global code     = "${root}/code"
global data     = "${root}/data"
global raw  		= "${data}/raw"
global intermediate = "${data}/intermediate"
global final		= "${data}/final"
global output   = "${root}/output"
global figures  = "${output}/figures"
global tables   = "${output}/tables"
global logs 	= "${output}/logs"

*set seeds 
set seed 8413195
set sortseed 8413195
clear all 
set max_memory 16g 
cap log close 
log using "${logs}/CIT_second_run.log", replace 

/* --------------------------------------------------------------------
	PART 2.1: Clean raw RNE data
----------------------------------------------------------------------*/		
if (1) do "${code}/1_CIT_data_cleaning.do"
/* --------------------------------------------------------------------
	PART 2.2: Generate variables
----------------------------------------------------------------------*/
if (1) do "${code}/2_CIT_variables_gen.do" 
/* --------------------------------------------------------------------
	PART 2.3: Generate descriptive statistics
----------------------------------------------------------------------*/
if (1) do "${code}/3_CIT_descriptive_stats.do"
/* --------------------------------------------------------------------
	PART 2.4: Industry level analysis
----------------------------------------------------------------------*/
if (1) do "${code}/4_CIT_Industry_level.do"
/* --------------------------------------------------------------------
	PART 2.5: Firm level analysis
----------------------------------------------------------------------*/
if (1) do "${code}/5_CIT_firm_level.do"
if (1) do "${code}/6_CIT_firm_level_regs.do"
/* --------------------------------------------------------------------
	PART 2.6: Robustness 
----------------------------------------------------------------------*/
if (1) do "${code}/7_CIT_firm_level_regs_PSM"
*if (1) do "${code}/8_CIT_HonestDID.do"	

log close
/********************************************************************************
********************************************************************************/
