

* Setting working directory
cd "${figures}"

* Loading the balanced sample dataset
use "${output}/industry_dataset.dta", clear
keep if year >= 2009

global reg_vars " nfirms  entry_d exit_d employees wagebill revenue_beforetax profits revenue_export exportvalue importvalue labprod"

***TWO WAY FE

global reg_vars " nfirms  entry_d exit_d employees wagebill revenue_beforetax profits revenue_export exportvalue importvalue labprod"
*global reg_vars "avg_wage nfirms "

matrix l_vec=.2\.2\.2\.2\.2
matrix l_vec_last = 0\0\0\0\1

**** FIGURES
foreach var in $reg_vars {
	cap est drop *
	qui eststo: reghdfe ln_`var' ib2013.year##cit_offshore if year != 2009 [aw = weight_nfirms], a(ind2dig##i.year) cluster(ind2dig)
			honestdid, pre(2/4) post(5/9) omit l_vec(l_vec) coefplot mvec(0.2(0.2)1)  xtitle(Mbar) ytitle(95% Robust CI)
			graph export "${figures}/honest_did_ind_`var'.png", replace
			honestdid, pre(2/4) post(5/9) omit l_vec(l_vec_last) coefplot mvec(0.2(0.2)1)  xtitle(Mbar) ytitle(95% Robust CI)
			graph export "${figures}/honestlast_did_ind_`var'.png", replace
	qui eststo: reghdfe ln_`var' ib2013.year##cit_offshore if sector_group_num == 2 & year != 2009 [aw = weight_nfirms], a(ind2dig##i.year) cluster(ind2dig)
			honestdid, pre(2/4) post(5/9) omit l_vec(l_vec) coefplot mvec(0.2(0.2)1)  xtitle(Mbar) ytitle(95% Robust CI)
			graph export "${figures}/honest_manuf_did_ind_`var'.png", replace
			honestdid, pre(2/4) post(5/9) omit l_vec(l_vec_last) coefplot mvec(0.2(0.2)1)  xtitle(Mbar) ytitle(95% Robust CI)
			graph export "${figures}/honestlast_manuf_did_ind_`var'.png", replace
			
	coefplot *, keep(*year*1.cit*) vertical yline(0) omitted base ///
		coeflabel(2009.year*1.cit_offshore = "2009" 2010.year*1.cit_offshore = "2010"  2011.year*1.cit_offshore = "2011" ///
		2012.year*1.cit_offshore = "2012" 2013.year*1.cit_offshore = "2013"  2014.year*1.cit_offshore = "2014" ///
		2015.year*1.cit_offshore = "2015" 2016.year*1.cit_offshore = "2016"  2017.year*1.cit_offshore = "2017" ///)
		2018.year*1.cit_offshore = "2018" 2019.year*1.cit_offshore = "2019") ytitle("Coefficient") ///
		graphregion(color(white)) legend(lab(2 "Full") lab(4 "Manufacturing"))
	 graph export "${figures}/did_ind_`var'.png", replace
}



est drop *
eststo: reghdfe  ln_nfirms ib2013.year##cit_offshore  if sector_group_num == 2 & year != 2009 [aw = weight_nfirms], a(ind2dig##i.year) cluster(ind2dig)
		
	coefplot *, keep(*year*1.cit*) vertical yline(0) omitted base ///
		coeflabel(2009.year*1.cit_offshore = "2009" 2010.year*1.cit_offshore = "2010"  2011.year*1.cit_offshore = "2011" ///
		2012.year*1.cit_offshore = "2012" 2013.year*1.cit_offshore = "2013"  2014.year*1.cit_offshore = "2014" ///
		2015.year*1.cit_offshore = "2015" 2016.year*1.cit_offshore = "2016"  2017.year*1.cit_offshore = "2017" ///)
		2018.year*1.cit_offshore = "2018" 2019.year*1.cit_offshore = "2019") ytitle("Coefficient") ///
		graphregion(color(white)) legend(lab(2 "Full") lab(4 "Manufacturing"))


mat coeff = e(b)
mat var = e(V)

matrix l_vec=.2\.2\.2\.2\.2


/**/
honestdid, pre(2/4) post(5/9) omit l_vec(l_vec) coefplot mvec(0.5(0.5)2)
graph export "${figures}/industry/honest_did_ind_`var'.png", replace


reghdfe ln_nfirms dummy2014##cit_offshore if sector_group_num == 2 & year != 2009 [aw = weight_nfirms], a(ind2dig##i.year) cluster(ind2dig) 



foreach var of varlist _all {
   local x = `var'[1]
   label var `var' "`x'"
   }
